.container {
    width: 1296px;
    margin: 0 auto;
}

header {
    background: #10BBD5;
    position: sticky;
    top: 0;
    z-index: 100;
}

nav{
    background: #F8FDFE;
    position: sticky;
    top: 77px;
    z-index: 100;
}

.header-wrapper, .nav-wrapper, .nav-links, .footer-wrapper {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
}

.logo {
    margin: 22px 0;
}

.header-cart {
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    gap: 8px;
    margin: 16px 0;
}

.cart-sum {
    color: #F8FDFE;
    text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    font-family: Cabin, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
}

.cart-btn {
    background-image: url("../images/cart_icon.png");
    width: 40px;
    height: 40px;
    border: none;
    background-color: transparent;
    color: #000;
    font-family: Cabin, serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 10px;
    padding: 12px 12px 18px 19px;
}

.nav-h {
    color: #000;
    font-family: Cabin, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;

    margin: 4px 0;
}

.nav-links {
    gap: 40px;
}

.nav-link {
    color: #000;
    font-family: Cabin, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
}

main {
    background-color: #EEEEEF;
    padding-top: 5px;
}

h1 {
    display: block;
    border-bottom: #A8A8A8 solid 1px;
    padding: 23px 0;

    color: #1F1F1F;
    font-family: Cabin, serif;
    font-size: 32px;
    font-style: normal;
    font-weight: 600;
    line-height: 40px;
}

.books-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-column-gap: 22px;
    grid-row-gap: 22px;
    margin-top: 24px;
    margin-bottom: 120px;
}

.book-card {
    border: #A8A8A8 solid 1px;
    padding: 32px;
}

.book-img-container {
    display: block;
    position: relative;
}

.book-img {
    width: 178px;
    height: 280px;
    margin: 0 32px;
    z-index: 0;
}

.book-img-badges {
    display: flex;
    flex-flow: row wrap;
    position: absolute;
    gap: 4px;
}

.book-img-badge {
    padding: 4px 8px;
    border-radius: 4px;

    color: #F8FDFE;
    text-align: center;
    font-family: Cabin, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
}

.badge-hit {
    background: #4200FF;
}

.badge-new {
    background: #AF39E7;
}

.badge-discount {
    background: #EA33C0;
}

.book-card-content {
    margin: 16px 0;
}

.book-name {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 242px;

    color: #1F1F1F;
    font-family: Cabin, serif;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 28px;
}

.book-author {
    overflow: hidden;
    color: #8E8E8E;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-family: Cabin, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;

    margin-bottom: 8px;
}

.book-prices {
    display: flex;
    flex-flow: row wrap;
    gap: 24px;
}

.book-price {
    color: #E90000;
    font-family: Cabin, serif;
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: 32px;
}

.last-book-price {
    color: #8E8E8E;
    text-decoration-line: line-through;
}

.book-btn {
    width: 100%;
    padding: 8px 24px;

    border-radius: 4px;

    color: #F8FDFE;
    text-align: center;
    font-family: Cabin, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
    border: 0;
}

.add-btn {
    background: #4C394E;
}

.add-btn:hover {
    background: #744978;
}

.end-up-btn {
    background: #4D762D;
}

.end-up-btn:hover {
    background: #6DB236;
}

footer {
    background: #4C394E;
}

.footer-wrapper {
    padding: 32px 0;
}

.rights {
    color: #F8FDFE;
    font-family: Cabin, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
}

.chat-btn {
    position: fixed;
    left: 1370px;
    top: 695px;

    width: 52px;
    height: 52px;
    border: 0;
    border-radius: 50%;
    padding: 7px;

    background-color: #10BBD5;
    background-image: url("../images/chat_icon_static.png");
}

.chat-btn:hover{
    padding: 12px;
    background-image: url("../images/chat_icon_variant2.png");
}